import { existsSync } from 'node:fs';
import { mkdir, rename, rm } from 'node:fs/promises';
import { resolve } from 'node:path';
import { NEXT_DIR } from './constants.js';
export const saveBuildCache = async ({ constants: { PUBLISH_DIR }, utils: { cache }, }) => {
    if (await cache.save(resolve(PUBLISH_DIR, 'cache'))) {
        console.log('Next.js cache saved.');
    }
    else {
        console.log('No Next.js cache to save.');
    }
};
export const restoreBuildCache = async ({ constants: { PUBLISH_DIR }, utils: { cache }, }) => {
    if (await cache.restore(resolve(PUBLISH_DIR, 'cache'))) {
        console.log('Next.js cache restored.');
    }
    else {
        console.log('No Next.js cache to restore.');
    }
};
export const saveBuildOutput = async ({ constants: { PUBLISH_DIR }, utils: { build: { failBuild }, }, }) => {
    if (!existsSync(resolve(PUBLISH_DIR))) {
        failBuild('Publish directory does not exist. Please check your netlify.toml file.');
    }
    await rm(resolve(NEXT_DIR), { recursive: true, force: true });
    await rename(resolve(PUBLISH_DIR), resolve(NEXT_DIR));
    await mkdir(resolve(PUBLISH_DIR));
};
export const restoreBuildOutput = async ({ constants: { PUBLISH_DIR }, utils: { cache }, }) => {
    if (!existsSync(resolve(NEXT_DIR)))
        return;
    await rm(resolve(PUBLISH_DIR), { recursive: true, force: true });
    await rename(resolve(NEXT_DIR), resolve(PUBLISH_DIR));
};
