import { readFile } from 'node:fs/promises';
import { resolve } from 'node:path';
import { NEXT_DIR, SERVER_HANDLER_NAME } from './constants.js';
export const getPrerenderManifest = async () => {
    return JSON.parse(await readFile(resolve(NEXT_DIR, 'prerender-manifest.json'), 'utf-8'));
};
/**
 * Enable Next.js standalone mode at build time
 */
export const setBuildConfig = ({ netlifyConfig }) => {
    process.env.NEXT_PRIVATE_STANDALONE = 'true';
    netlifyConfig.redirects.push({
        from: '/*',
        to: `/.netlify/functions/${SERVER_HANDLER_NAME}`,
        status: 200,
    });
};
