import { restoreBuildCache, restoreBuildOutput, saveBuildCache, saveBuildOutput, } from './build/cache.js';
import { setBuildConfig } from './build/config.js';
import { uploadPrerenderedContent } from './build/content/prerendered.js';
import { copyStaticAssets, uploadStaticContent } from './build/content/static.js';
import { createServerHandler } from './build/functions/server.js';
export const onPreBuild = async ({ constants, netlifyConfig, utils }) => {
    await restoreBuildCache({ constants, utils });
    setBuildConfig({ netlifyConfig });
};
export const onBuild = async ({ constants, utils }) => {
    await saveBuildCache({ constants, utils });
    await saveBuildOutput({ constants, utils });
    return Promise.all([
        copyStaticAssets({ constants }),
        uploadStaticContent({ constants }),
        uploadPrerenderedContent({ constants }),
        createServerHandler(),
        // createEdgeHandler(),
    ]);
};
export const onEnd = async ({ constants, utils }) => {
    await restoreBuildOutput({ constants, utils });
};
